Module java.desktop
Package javax.print.attribute.standard

## Class PagesPerMinute

- java.lang.Object
- - javax.print.attribute.IntegerSyntax
  - - javax.print.attribute.standard.PagesPerMinute

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Attribute`, `PrintServiceAttribute`

      public final class PagesPerMinute
      extends IntegerSyntax
      implements PrintServiceAttribute

  Class `PagesPerMinute` is an integer valued printing attribute that indicates the nominal number of pages per minute to the nearest whole number which may be generated by this printer (e.g., simplex, black-and-white). This attribute is informative, not a service guarantee. Generally, it is the value used in the marketing literature to describe the device. A value of 0 indicates a device that takes more than two minutes to process a page.

  IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PagesPerMinute​(int value)` | Construct a new pages per minute attribute with the given integer value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object object)` | Returns whether this pages per minute attribute is equivalent to the passed in object.
    `Class<? extends Attribute>` | `getCategory()` | Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `String` | `getName()` | Get the name of the category of which this attribute value is an instance.

    - ### Methods declared in class javax.print.attribute.IntegerSyntax

      `getValue, hashCode, toString`

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PagesPerMinute

          public PagesPerMinute​(int value)

      Construct a new pages per minute attribute with the given integer value.
      Parameters:
        `value` - Integer value
      Throws:
        `IllegalArgumentException` - if `value` is negative

  - ### Method Detail

    - #### equals

          public boolean equals​(Object object)

      Returns whether this pages per minute attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not `null`.
      2. `object` is an instance of class `PagesPerMinute`.
      3. This pages per minute attribute's value and `object`'s value are equal.
      Overrides:
        `equals` in class `IntegerSyntax`
      Parameters:
        `object` - `Object` to compare to
      Returns:
        `true` if `object` is equivalent to this pages per minute attribute, `false` otherwise
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class `PagesPerMinute`, the category is class `PagesPerMinute` itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        printing attribute class (category), an instance of class `java.lang.Class`

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class `PagesPerMinute`, the category name is `"pages-per-minute"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        attribute category name